Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.routing
Class SendOptions

    java.lang.Object
      rice.pastry.routing.SendOptions

All Implemented Interfaces:
  java.io.Serializable

    public class SendOptions

extends java.lang.Object
implements java.io.Serializable

This is the options for a client to send messages.

Version:
  $Id: SendOptions.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Andrew Ladd
See Also:
  Serialized Form

Field Summary
`static boolean` | `defaultAllowMultipleHops`
`static boolean` | `defaultNoShortCuts`
`static boolean` | `defaultRandom`
`static boolean` | `defaultRerouteIfSuspected`
`static boolean` | `defaultShortestPath`

Constructor Summary
`SendOptions()` Constructor.
`SendOptions(boolean random, boolean noShortCuts, boolean shortestPath, boolean allowMultipleHops, boolean rerouteIfSuspected)` Constructor.

Method Summary
`boolean` | `canRandom()` Returns whether randomizations on the route are allowed.
`boolean` | `makeNoShortCuts()` Returns whether it is required for each routing step to go to a node whose id matches in exactly one more digit.
`boolean` | `multipleHopsAllowed()` Returns whether multiple hops are allowed during the transmission of this message.
`boolean` | `requireShortestPath()` Returns whether it is required to go to the strictly nearest known node with appropriate node id.
`boolean` | `rerouteIfSuspected()`
`void` | `setMultipleHopsAllowed(boolean b)`
`void` | `setRerouteIfSuspected(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultRandom

    public static final boolean defaultRandom

See Also:
  Constant Field Values

### defaultNoShortCuts

    public static final boolean defaultNoShortCuts

See Also:
  Constant Field Values

### defaultShortestPath

    public static final boolean defaultShortestPath

See Also:
  Constant Field Values

### defaultAllowMultipleHops

    public static final boolean defaultAllowMultipleHops

See Also:
  Constant Field Values

### defaultRerouteIfSuspected

    public static final boolean defaultRerouteIfSuspected

See Also:
  Constant Field Values

Constructor Detail

### SendOptions

    public SendOptions()

  Constructor.

### SendOptions

    public SendOptions(boolean random,
                       boolean noShortCuts,
                       boolean shortestPath,
                       boolean allowMultipleHops,
                       boolean rerouteIfSuspected)

  Constructor.

  Parameters:
    `random` - true if randomize the route
    `noShortCuts` - true if require each routing step to go to a node whose id matches in exactly one more digit
    `shortestPath` - true if require to go to the strictly nearest known node with appropriate node id
    `allowMultipleHops` - true if we allow multiple hops for this transmission, false otherwise.

Method Detail

### canRandom

    public boolean canRandom()

  Returns whether randomizations on the route are allowed.

  Returns:
    true if randomizations are allowed.

### makeNoShortCuts

    public boolean makeNoShortCuts()

  Returns whether it is required for each routing step to go to a node whose id matches in exactly one more digit.

  Returns:
    true if it is required to go to a node whose id matches in exactly one more digit.

### requireShortestPath

    public boolean requireShortestPath()

  Returns whether it is required to go to the strictly nearest known node with appropriate node id.

  Returns:
    true if it is required to go to the strictly nearest known node with appropriate node id.

### multipleHopsAllowed

    public boolean multipleHopsAllowed()

  Returns whether multiple hops are allowed during the transmission of this message.

  Returns:
    true if so, false otherwise.

### setMultipleHopsAllowed

    public void setMultipleHopsAllowed(boolean b)

### rerouteIfSuspected

    public boolean rerouteIfSuspected()

### setRerouteIfSuspected

    public void setRerouteIfSuspected(boolean b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.